#
# NOTE:	- building is memory consuming (up to c.a. 537MB)
# TODO:	- install manpages via makefile
#
# Conditional build:
%bcond_without	alsa	# ALSA audio driver (OSS otherwise)
#
Summary:	flite - a small, fast speech synthesis engine
Summary(pl.UTF-8):	flite - mały, szybki silnik syntezy mowy
Summary(ru.UTF-8):	flite - маленькое, быстрое средство для синтеза речи
Name:		flite
Version:	2.2
Release:	2
License:	Custom, see COPYING
Group:		Applications/Sound
#Source0Download: https://github.com/festvox/flite/releases
Source0:	https://github.com/festvox/flite/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	31f84ece0078906780f07942c0cd978c
# ALT Linux patches:
Patch0:		%{name}-link.patch
Patch1:		%{name}-fix-readonly-assignments.patch
# Debian patches:
Patch2:		%{name}-doc.patch
#
Patch5:		%{name}-fix-audiodriver-setup.patch
URL:		http://www.festvox.org/flite/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	ed
BuildRequires:	tetex
BuildRequires:	texi2html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Flite - a small, fast speech synthesis engine. It is the latest
addition to the suite of free software synthesis tools including
University of Edinburgh's Festival Speech Synthesis System and
Carnegie Mellon University's FestVox project, tools, scripts and
documentation for building synthetic voices. However, flite itself
does not require either of these systems to compile and run.

%description -l pl.UTF-8
Flite to mały, szybki silnik syntezy mowy. Jest najnowszym dodatkiem
do zestawu wolnodostępnych narzędzi do syntezy zawierającego system
syntezy mowy Festival z University of Edinburgh, projekt FestVox z
Carnegie Mellon University, narzędzia, skrypty i dokumentację
tworzenia głosów syntetycznych. Jednak sam flite nie wymaga żadnego z
tych systemów do skompilowania czy uruchomienia.

%description -l ru.UTF-8
Flite -- маленькое, быстрое средство для синтеза речи. Это последнее
добавление к набору свободного программного обеспечения для синтеза
речи, проекты FestVox и Festival. Однако, сам flite не требует ни
одного из этих пакетов для компиляции и запуска.

%package devel
Summary:	Development files for flite
Summary(pl.UTF-8):	Pliki programistyczne dla flite
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for flite, a small, fast speech synthesis engine.

%description devel -l pl.UTF-8
Pliki programistyczne dla flite - małego, szybkiego silnika syntezy
mowy.

%description devel -l ru.UTF-8
Файлы для разработки с использованием flite - маленького, быстрого
средства для синтеза речи.

%package static
Summary:	Static flite library
Summary(pl.UTF-8):	Statyczna biblioteka flite
Group:		Applications/Sound
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for flite, a small, fast speech synthesis engine.

%description static -l pl.UTF-8
Statyczna biblioteka flite - małego, szybkiego silnika syntezy mowy.

%description static -l ru.UTF-8
Статические файлы для разработки с использованием flite - маленького,
быстрого средства для синтеза речи.

%prep
%setup -q
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1
%patch -P5 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--enable-shared \
	--with-audio=%{?with_alsa:alsa}%{!?with_alsa:oss} \
	--with-vox=cmu_us_kal16

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# omitted in make install
install bin/t2p $RPM_BUILD_ROOT%{_bindir}
cp -p debian/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS COPYING README.md doc/html
%attr(755,root,root) %{_bindir}/flite
%attr(755,root,root) %{_bindir}/flite_cmu_time_awb
%attr(755,root,root) %{_bindir}/flite_cmu_us_awb
%attr(755,root,root) %{_bindir}/flite_cmu_us_kal
%attr(755,root,root) %{_bindir}/flite_cmu_us_kal16
%attr(755,root,root) %{_bindir}/flite_cmu_us_rms
%attr(755,root,root) %{_bindir}/flite_cmu_us_slt
%attr(755,root,root) %{_bindir}/flite_time
%attr(755,root,root) %{_bindir}/t2p
%attr(755,root,root) %{_libdir}/libflite.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_grapheme_lang.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_grapheme_lang.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_grapheme_lex.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_grapheme_lex.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_indic_lang.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_indic_lang.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_indic_lex.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_indic_lex.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_time_awb.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_time_awb.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_us_awb.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_us_awb.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_us_kal.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_us_kal.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_us_kal16.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_us_kal16.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_us_rms.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_us_rms.so.1
%attr(755,root,root) %{_libdir}/libflite_cmu_us_slt.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmu_us_slt.so.1
%attr(755,root,root) %{_libdir}/libflite_cmulex.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_cmulex.so.1
%attr(755,root,root) %{_libdir}/libflite_usenglish.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libflite_usenglish.so.1
%{_mandir}/man1/flite.1*
%{_mandir}/man1/flite_time.1*
%{_mandir}/man1/t2p.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libflite.so
%attr(755,root,root) %{_libdir}/libflite_cmu_grapheme_lang.so
%attr(755,root,root) %{_libdir}/libflite_cmu_grapheme_lex.so
%attr(755,root,root) %{_libdir}/libflite_cmu_indic_lang.so
%attr(755,root,root) %{_libdir}/libflite_cmu_indic_lex.so
%attr(755,root,root) %{_libdir}/libflite_cmu_time_awb.so
%attr(755,root,root) %{_libdir}/libflite_cmu_us_awb.so
%attr(755,root,root) %{_libdir}/libflite_cmu_us_kal.so
%attr(755,root,root) %{_libdir}/libflite_cmu_us_kal16.so
%attr(755,root,root) %{_libdir}/libflite_cmu_us_rms.so
%attr(755,root,root) %{_libdir}/libflite_cmu_us_slt.so
%attr(755,root,root) %{_libdir}/libflite_cmulex.so
%attr(755,root,root) %{_libdir}/libflite_usenglish.so
%{_includedir}/flite

%files static
%defattr(644,root,root,755)
%{_libdir}/libflite.a
%{_libdir}/libflite_cmu_grapheme_lang.a
%{_libdir}/libflite_cmu_grapheme_lex.a
%{_libdir}/libflite_cmu_indic_lang.a
%{_libdir}/libflite_cmu_indic_lex.a
%{_libdir}/libflite_cmu_time_awb.a
%{_libdir}/libflite_cmu_us_awb.a
%{_libdir}/libflite_cmu_us_kal.a
%{_libdir}/libflite_cmu_us_kal16.a
%{_libdir}/libflite_cmu_us_rms.a
%{_libdir}/libflite_cmu_us_slt.a
%{_libdir}/libflite_cmulex.a
%{_libdir}/libflite_usenglish.a
%changelog
* Thu Apr 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flite.git;a=log;h=master

* Thu Apr 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 9c7089d
- fixed flite_version.h file (1.4 and 2.2 data was put together, causing misdetection by e.g. gtk-webkit4); release 2

* Wed Apr 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 0fb2115
- use patch -P

* Sat Dec 07 2024 Marcin Krol <hawk@tld-linux.org> c8127ef
- more fixes from Fedora

* Sat Dec 07 2024 Marcin Krol <hawk@tld-linux.org> 27b9347
- rediffed

* Fri Sep 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 0777c0d
- updated to 2.2
- updated link patch
- removed obsolete texinfo5 patch

* Sat Apr 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 5777a2b
- updated to 2.1
- updated link patch
- removed obsolete DESTDIR patch

* Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> ec59cd7
- texinfo invocation fix
- rel 2

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 38fb195
- updated version patch

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 75871bb
- updated to 1.4
- updated link,doc,DESTDIR patches
- removed obsolete os_link patch
- really use alsa when linking with it

* Wed Dec 15 2010 Jakub Bogusz <qboosh@pld-linux.org> f1a483b
- adjusted doc patch to unify info direntry
- verbose files
- removed non-working static_libs bcond (not supported by build system)
- package t2p program

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 6ffd1cc
- unify %attr() %ghost order

* Thu Oct 29 2009 Szymon Siwek <sls@pld-linux.org> e2b3b2b
- BR: ed

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 45ff7b4
- drop obsolete files

* Wed Mar 25 2009 Zsolt Udvari <uzsolt@pld-linux.org> 15d53fe
- BR texi2html

* Mon Jan 07 2008 Szymon Siwek <sls@pld-linux.org> fb81e63
- BR: tetex (for texi2html)

* Sat Jun 30 2007 shadzik <shadzik@pld-linux.org> 9324cdf
- add patch6 (fixes lib64 issues)
- rel 3

* Sat Jun 30 2007 shadzik <shadzik@pld-linux.org> 7e0bf8a
- better link that this way (fixes problems on 64bit machines)

* Sat Jun 30 2007 twittner <twittner@pld-linux.org> 4697b17
- lib*.so.[0-9] marked as %gost to avoid installation error:
  Failed dependencies:
        /usr/lib/libflite.so.1 is needed by flite-devel-1.2-1 ...
- rel. 2

* Sat Jun 30 2007 twittner <twittner@pld-linux.org> 6213a62
- make -j1
- rel. 1 (builds, works - tested on Th@i686)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 88001e5
- tabs in preamble

